"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
exports.__esModule = true;
var tui_base_1 = require("../tui-base");
var TUIReportService = /** @class */ (function (_super) {
    __extends(TUIReportService, _super);
    function TUIReportService() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
    * Get TUIReportService instance
    */
    TUIReportService.getInstance = function () {
        if (!TUIReportService.instance) {
            TUIReportService.instance = new TUIReportService();
        }
        return TUIReportService.instance;
    };
    /**
     * Report key feature usage for analytics
     * @param code - Event code for analytics
     * @param feature - Feature name or identifier
     */
    TUIReportService.prototype.reportFeature = function (code, feature) {
        var _a;
        return (_a = this.getEngine().chat) === null || _a === void 0 ? void 0 : _a.callExperimentalAPI('statTUIKeyFeatures', {
            code: code,
            msg: feature ? code + "-" + feature : ''
        });
    };
    return TUIReportService;
}(tui_base_1["default"]));
exports["default"] = TUIReportService;
